Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.ui
Class Zoom

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.std.ui.Zoom

public class Zoom
extends Behavior

Zoom controls.

Version:
  $Revision: 1.6 $ $Date: 2005/05/06 10:47:07 $

Field Summary
`static java.lang.String` | `ARG_BIGGER`
`static java.lang.String` | `ARG_FIT_PAGE` Argument to `MSG_SET` to set zoom to fit entire page.
`static java.lang.String` | `ARG_FIT_WIDTH` Argument to `MSG_SET` to zoom page to width of window
`static java.lang.String` | `ARG_SMALLER`
`static java.lang.String` | `ATTR_ZOOMS` Attribute in hub for list of zoom factors.
`static java.lang.String` | `MSG_CREATE_ZOOM` Construct Zoom menu by passing around to behaviors and letting them add (or delete) entiries.
`static java.lang.String` | `MSG_GET` Reports current zoom factor.
`static java.lang.String` | `MSG_SET` Sets zoom factor from arg.

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Constructor Summary
`Zoom()`

Method Summary
`void` | `restore(ESISNode n, java.util.Map<java.lang.String,java.lang.Object> attr, Layer layer)` Takes the place of a constructor's initialization functions; that is, it is invoked exactly once immediately after object instantiation.
`boolean` | `semanticEventAfter(SemanticEvent se, java.lang.String msg)` Round robin distribution to all behaviors.
`boolean` | `semanticEventBefore(SemanticEvent se, java.lang.String msg)` Round robin distribution to all behaviors.

Methods inherited from class multivalent.Behavior
`buildAfter, buildBefore, checkRep, clipboardAfter, clipboardBefore, createUI, destroy, eventAfter, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, paintAfter, paintBefore, putPreference, redo, restoreChildren, save, setName, toString, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MSG_GET

    public static final java.lang.String MSG_GET

  Reports current zoom factor.

  `"getZoom"` Current zoom is returned as `Float` in event argument.

  See Also:
    Constant Field Values

### MSG_SET

    public static final java.lang.String MSG_SET

  Sets zoom factor from arg.

  `"setZoom"`: `arg=` `Float` or `String` zoom-factor, where 1.0 is 100%

  See Also:
    Constant Field Values

### ARG_BIGGER

    public static final java.lang.String ARG_BIGGER

See Also:
  Constant Field Values

### ARG_SMALLER

    public static final java.lang.String ARG_SMALLER

See Also:
  Constant Field Values

### ARG_FIT_WIDTH

    public static final java.lang.String ARG_FIT_WIDTH

  Argument to `MSG_SET` to zoom page to width of window.

  See Also:
    Constant Field Values

### ARG_FIT_PAGE

    public static final java.lang.String ARG_FIT_PAGE

  Argument to `MSG_SET` to set zoom to fit entire page.

  See Also:
    Constant Field Values

### MSG_CREATE_ZOOM

    public static final java.lang.String MSG_CREATE_ZOOM

  Construct Zoom menu by passing around to behaviors and letting them add (or delete) entiries.

  `"createWidget/Zoom"`: `out=` `VMenu` instance-under-construction.

  See Also:
    Constant Field Values

### ATTR_ZOOMS

    public static final java.lang.String ATTR_ZOOMS

  Attribute in hub for list of zoom factors.

  See Also:
    Constant Field Values

Constructor Detail

### Zoom

    public Zoom()

Method Detail

### semanticEventBefore

    public boolean semanticEventBefore(SemanticEvent se,
                                       java.lang.String msg)

  Description copied from class: `Behavior`
  Round robin distribution to all behaviors. Message and clientData unpacked from SemanticEvent for convenience. Message is interned, so if you compare to a literal, you can use "==". Message can't be changed (it can be short-circuited out of), but client data can be mutated as it is passed along (so it's not passed as a parameter).

  Overrides:
    `semanticEventBefore` in class `Behavior`

### semanticEventAfter

    public boolean semanticEventAfter(SemanticEvent se,
                                      java.lang.String msg)

  Description copied from class: `Behavior`
  Round robin distribution to all behaviors. Message and clientData unpacked from SemanticEvent for convenience. Message is interned, so if you compare to a literal, you can use "==". Message can't be changed (it can be short-circuited out of), but client data can be mutated as it is passed along (so it's not passed as a parameter).

  Overrides:
    `semanticEventAfter` in class `Behavior`

### restore

    public void restore(ESISNode n,
                        java.util.Map<java.lang.String,java.lang.Object> attr,
                        Layer layer)

  Description copied from class: `Behavior`
  Takes the place of a constructor's initialization functions; that is, it is invoked exactly once immediately after object instantiation. When restored from hub, passed XML content subtree if any as first parameter and attributes from XML tag's attributes. This protocol cannot be short-circuited.

  Overrides:
    `restore` in class `Behavior`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD